1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

获取任务图片的seed

GET
/mj/task/{id}/image-seed
获取指定任务生成图片的 seed 值(随机数种子),可用于以相同种子复现或微调生成结果。

网站中的模型与调用示例#

查 seed#

响应示例 · 请求过多#

{
  "code": 4,
  "description": "当前分组上游负载已饱和,请稍后再试",
  "type": "upstream_error"
}

获取任务图片的seed#

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "model": {
      "description": "用于图像生成的模型。",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Model for image generation."
        }
      }
    },
    "n": {
      "description": "要生成的图像数。必须介于 1 和 10 之间。",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "The number of images to generate. Must be between 1 and 10."
        }
      }
    },
    "prompt": {
      "description": "所需图像的文本描述。最大长度为 1000 个字符。",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "A text description of the desired image. Maximum length is 1000 characters."
        }
      }
    },
    "quality": {
      "description": "将生成的图像的质量。`hd`创建具有更精细细节和更高一致性的图像。此参数仅支持`dall-e-3`.",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The quality of the image that will be generated. `hd` creates images with finer detail and greater consistency. This parameter only supports `dall-e-3`."
        }
      }
    },
    "response_format": {
      "description": "返回生成的图像的格式。必须是 或url之一b64_json。",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Returns the format of the generated image. Must be one of b64_json or url."
        }
      }
    },
    "size": {
      "description": "生成图像的大小。必须是256x256、512x512或 1024x1024之一。",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024."
        }
      }
    },
    "style": {
      "description": "生成图像的大小。必须是`256x256`、`512x512`或`1024x1024`for之一`dall-e-2`。对于模型来说,必须是`1024x1024`、`1792x1024`、 或之一。`1024x1792``dall-e-3`",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024 for dall-e-2. Must be one of 1024x1024, 1792x1024, or 1024x1792 for dall-e-3."
        }
      }
    },
    "user": {
      "description": "生成图像的风格。必须是 或`vivid`之一`natural`。生动使模型倾向于生成超真实和戏剧性的图像。自然使模型生成更自然、不太真实的图像。此参数仅支持`dall-e-3`.",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The style of the generated images. Must be one of vivid or natural. Vivid tends toward hyper-real and dramatic images. Natural produces more natural, less hyper-real images. Only supported for dall-e-3."
        }
      }
    }
  },
  "required": [
    "prompt"
  ]
}

请求示例 · 请求示例#

{
  "ids": [
    "1231234123",
    "456456456"
  ]
}

响应示例 · 成功示例#

{
  "action": "IMAGINE",
  "botType": "",
  "buttons": [
    {
      "customId": "MJ::JOB::upsample::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U1",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U2",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U3",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U4",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::reroll::0::3785da15-4f70-4034-9128-f3ff1ac634fa::SOLO",
      "emoji": "🔄",
      "label": "",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V1",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V2",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V3",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V4",
      "style": 2,
      "type": 2
    }
  ],
  "customId": "",
  "description": "Submit success",
  "failReason": "",
  "finishTime": 1730621855817,
  "id": "1730621826053455",
  "imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
  "maskBase64": "",
  "progress": "100%",
  "prompt": "pig --v 6.1",
  "promptEn": "pig --v 6.1",
  "properties": {
    "finalPrompt": "pig --v 6.1",
    "finalZhPrompt": ""
  },
  "startTime": 1730621828024,
  "state": "",
  "status": "SUCCESS",
  "submitTime": 1730621826053
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Path 参数

Header 参数

Body 参数multipart/form-data

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location --request GET '/mj/task//image-seed' \
--header 'Authorization: Bearer <token>' \
--form 'ids="1231234123"' \
--form 'ids="456456456"'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "id": "1730621826053455",
    "action": "IMAGINE",
    "customId": "",
    "botType": "",
    "prompt": "pig --v 6.1",
    "promptEn": "pig --v 6.1",
    "description": "Submit success",
    "state": "",
    "submitTime": 1730621826053,
    "startTime": 1730621828024,
    "finishTime": 1730621855817,
    "imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
    "status": "SUCCESS",
    "progress": "100%",
    "failReason": "",
    "buttons": [
        {
            "customId": "MJ::JOB::upsample::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U1",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U2",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U3",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U4",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::reroll::0::3785da15-4f70-4034-9128-f3ff1ac634fa::SOLO",
            "emoji": "🔄",
            "label": "",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V1",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V2",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V3",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V4",
            "type": 2,
            "style": 2
        }
    ],
    "maskBase64": "",
    "properties": {
        "finalPrompt": "pig --v 6.1",
        "finalZhPrompt": ""
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
上一页
根据ID列表查询任务
下一页
提交Blend任务
Built with